<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
      <div style="display: flex; flex-flow: row wrap;">
        <div>
            <input type="text" name="nameInput" v-model:value="userName"><br>
            <span style="color: #ff1919; font-size: 12px;">{{error}}</span>
        </div>
        <button id="btn-add" v-on:click="create" style="margin-left: 10px;">Add</button>
        <button id="btn-update" v-on:click="edit" style="margin-left: 10px; display: none;">Update</button>
      </div>   
    <ul>
        <li v-for="(user, index) in users" style="margin-bottom: 8px;"> {{user.name}} <button v-on:click="toEdit(index)">Edit</button> || <button v-on:click="hapus(index)">Delete</button>
        </li>

    </ul>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
    var vm = new Vue({
        el: '#app',
        data: {
            btn : 'Add',
            userName : '',
            index: '' ,
            error :'',
            users : [
                {
                    'name' : 'Muchamad Iqbal Mubarok',
                },
                {
                    'name' : 'Ruby Purwanti',
                },
                {
                    'name' : 'Faqih Muhammad',
                },
            ]
        },
        methods :{
            create(){
                if (this.userName!=''){
                    this.users.push({name : this.userName})
                }else{
                    this.error='Textfield tidak boleh kosong'
                }
                document.getElementById('btn-update').style.display="none"
                document.getElementById('btn-add').style.display="block"
                
            },
            toEdit(index){
                this.index=index;
                document.getElementById('btn-update').style.display="block"
                document.getElementById('btn-add').style.display="none"
            },
            edit(){
                params=this.index
                if (this.userName!=''){
                    this.users[params].name=this.userName
                    document.getElementById('btn-update').style.display="none"
                    document.getElementById('btn-add').style.display="block"
                }else{
                    this.error='Textfield tidak boleh kosong'
                }                
            },
            hapus(params){
                const cek = confirm("Anda Yakin ?");
                  if (cek == true) {
                    this.users.splice(params,1)
                  }
                
                document.getElementById('btn-update').style.display="none"
                document.getElementById('btn-add').style.display="block"
            },
        }
    });
  </script>
</body>
</html>